
/* ================= general - theme sombre */

body {
	color: var(--body-fg);
	background-color: var(--body-bg);
	margin-left: 0px;
	margin-right: 0px;
	margin-top: 0px;
	margin-bottom: 0px;
	font-family: Arial, Helvetica, sans-serif;
	scrollbar-darkshadow-color: #000000;
}


/* ================= couleur des liens */

a {
	color : var(--color-link);
	text-decoration: none;
}


/* ================= tableau */
/*
#table {
#	border-collapse: collapse;
#}

#th, td {
#	padding: 8px;
#	text-align: left;
#	border-bottom: 1px solid var(--body-fg);
#}
 
#tr:hover {
#	background-color: #f5f5f5;
#	color: black;
#}
*/

/* ================= form */

.form table {
	background-color: var(--body-bg);
	border: 2px solid var(--navbar-title-hover-bg);
	margin-left: auto;
	margin-right: auto;
	padding: 10px;
	border-radius: 10px;
	width: auto;
}

.form .datasheet th,
.form .datasheet td{
	padding-top: 25px;
}

.form th,
.form td {
	border-bottom: 1px solid var(--catalog-even-bg);
}

/* .form td:first-child, */
.form th {
	text-align: right;
	padding-right: 10px;
	font-weight: normal;
	vertical-align: top;
}

.form td.button {
	text-align: right;
}

.form input,
.form select,
.form textarea {
	background-color: var(--form-button-bg);
	color: var(--body-fg);
	padding: 5px 10px;
	border: 1px solid var(--body-fg);
	border-radius: 4px;
	font-weight: normal;
}


/* ================= auth */

.auth table {
	background-color: var(--body-bg);
	border: 2px solid var(--navbar-login-bg);
	margin-left: auto;
	margin-right: auto;
	padding: 10px 30px 10px 10px;
	border-radius: 10px;
	width: auto;
}

.auth input {
	width: 100%;
	background-color: var(--form-button-bg);
	color: var(--form-button-fg);
	padding: 5px 10px;
	border: 1px solid var(--body-fg);
	border-radius: 4px;
}

.auth .button input {
	color: var(--color-bad);
	background-color: var(--button-bg);
	width: auto;
}

.auth th {
	text-align: right;
	padding-right: 10px;
}

.auth td.button {
	text-align: right;
	color: var(--color-ok);
}

.auth td.login-error {
	padding-top: 10px;
	padding-bottom: 10px;
	text-align: center;
	color: var(--color-alert);
}


/* ================= catalog table */

div.catalog {
	overflow-x: auto;
}

.catalog .highlight td {
	font-weight: bold;
}

.catalog table {
	width: 90%;
	text-align: left;
	margin-left: auto;
	margin-right: auto;
	border-collapse: collapse;
}

.catalog table.narrow {
	width: 50%;
}

.catalog th {
	vertical-align: top;
	text-align: center;
	background-color: var(--navbar-title-bg);
}

.catalog th:not(.sorttable_nosort):hover {
	text-decoration: none;
	background-color: var(--navbar-title-hover-bg);
	color: var(--navbar-title-hover-fg);
}

.catalog td,
.catalog th {
	padding-left: 0.8ex;
	padding-right: 0.8ex;
	padding-top: 0.8ex;
	padding-bottom: 0.8ex;
}

.catalog tr.pair {
	background-color: var(--catalog-even-bg);
}

.catalog tr.impair {
	background-color: var(--catalog-odd-bg);
}

.catalog tr:hover.pair,
.catalog tr:hover.impair {
	background-color: var(--catalog-hover-bg);
	color: var(--catalog-hover-fg);
	border-bottom: 1px solid var(--navbar-title-bg);
}

.catalog table.sortable th:not(.sorttable_sorted):not(.sorttable_sorted_reverse):not(.sorttable_nosort):after { 
	content: "\00A0\21C5";
	}


/* ================= transpose table */

.transpose tr {
	display: block;
	float: left;
}

.transpose th,
.transpose td {
	display: block;
}


/* ================= transpose table clickable */

label[for=element-toggle] {
	cursor: pointer;
	color: var(--color-bad);
}
#element-toggle {
	display: none;
}

#element-toggle:not(:checked) ~ #toggled-element tr {
	display: block;
	float: left;
}

#element-toggle:not(:checked) ~ #toggled-element th,
#element-toggle:not(:checked) ~ #toggled-element td {
	display: block;
}


/* ================= box-alert/warn/info */

@keyframes blink { 
	50% {
		border-color: var(--body-bg);
	} 
}

center.box-alert,
center.box-warn,
center.box-info {
	border-width: 5px;
	border-style: dotted;
	border-radius: 25px;
	width: 40%;
	margin-left: auto;
	margin-right: auto;
	padding-top: 30px;
	padding-bottom: 20px;
}

center.box-alert {
	animation-name: blink ;
	animation-duration: 0.5s ;
	animation-timing-function: step-end ;
	animation-iteration-count: infinite ;
	animation-direction: alternate ;
}

center.box-alert,
.box-alert hr {
	color: var(--color-alert);
}

center.box-warn,
.box-warn hr {
	border-color: var(--color-bad);
}

center.box-info,
.box-info hr  {
	border-color: var(--color-ok);
}

.box-alert button.green,
-box-warn button.green,
.box-info button.green {
	color: var(--color-ok);
}
.box-alert button.red,
.box-warn button.red,
.box-info button.red {
	color: var(--color-bad);
}

.box-alert hr,
.box-warn hr,
.box-info hr {
	border-width: 2px;
	border-style: solid;
	width: 30%;
}

/* ================= index */

.index {
	max-width: 60em;
	margin-left: auto;
	margin-right: auto;
}


/* ================= icon */

span.check-ok {
	color: var(--color-ok);
}

span.check-bad {
	color: var(--color-bad);
}

span.check-warn {
	color: var(--color-alert)
}

span.option-right {
	float: right;
	margin-right: 2px;
}


/* ================= header */

.header {
	display: block;
	clear: both;
	max-width: 60em;
	margin-left: auto;
	margin-right: auto;
	margin-top: 30px;
}

.header-logo {
	float: left;
	overflow: hidden;
	padding: 0px;
}

.header-title {
	float: left;
	overflow: hidden;
	padding: 0px 0px 0px 30px;
	font-size: 14;
	font-weight: bold;
}

.header br {
	clear: both;
	line-height: 0px;
}


/* ================= footer */

.footer img {
	padding-top: 1.5em;
	padding-bottom: 1em;
}

.footer hr {
	margin-top: 2em;
	margin-bottom: 1em;
	margin-left: auto;
	margin-right: auto;
	width: 50ex;
	height: 6px;
	border-radius: 3px;
	border: none;
	background-color: var(--footer-separator-bg);
}

.footer br {
	line-height: 0.2em;
}

.footer i {
	font-size: smaller;
}


/*----navbar----*/

.navbar {
	position: -webkit-sticky; /*Safari*/
	position: sticky;
	top: 0;
}

.navbar ul {
	list-style-type: none;
	padding: 0px;
	overflow: hidden;
	background-color: var(--navbar-title-bg);
	clear: both;
	margin-top: 30px;
	margin-bottom: 20px;
	margin-right: 0px;
	margin-left: 0px
}

.navbar li {
	float: left;
}

.navbar li>a,
.navbar .dropbtn {
	display: inline-block;
	color: var(--body-fg);
	text-align: center;
	padding: 14px 16px;
	text-decoration: none;
}

.navbar li>a:not(.dropbtn):hover {
	text-decoration: none;
	background-color: var(--navbar-title-hover-bg);
	color: var(--navbar-title-hover-fg);
}

.navbar li.dropdown {
	display: inline-block;
}

.navbar .dropdown-content {
	display: none;
	position: absolute;
	background-color: var(--navbar-title-bg);
	min-width: 160px;
	box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
	z-index: 1;
}

.navbar .right .dropdown-content {
	left: auto;
	right: 0;
}

.navbar .dropdown-content a {
	color: var(--body-fg);
	padding: 12px 16px;
	text-decoration: none;
	display: block;
	text-align: left;
}

.navbar .dropdown-content a:hover {
	text-decoration:none;
	background-color: var(--navbar-title-hover-bg);
	color: var(--navbar-title-hover-fg);
}
  
.navbar .dropdown:hover .dropdown-content {
	display: block;
}

.navbar li.search {
	display: block;
	float: right;
	vertical-align: baseline;
	margin-top: auto;
	margin-bottom: auto;
}

.navbar li.search form {
	margin: auto;
	margin-bottom: auto;
	padding-top: 8px;
	padding-right: 8px;
}

.navbar li.right {
	float: right;
	background-color: var(--navbar-login-bg); 
}

.navbar li.right a:hover {
	background-color: var(--navbar-login-sub-bg);  
	color: var(--navbar-title-hover-fg);
}

.navbar a.dropbtn:hover {
	text-decoration : none;
}

.navbar input {
	background-color: var(--form-button-bg);
	color: var(--body-fg);
	padding: 5px 10px;
	border: 1px solid var(--body-fg);
	border-radius: 4px;
	font-weight: normal;
}

/************** MODIFICATIONS ESTEBAN RISTICH ****************/
/*----loan----*/

.loan-list-container {
	display: flex;
	flex-direction: column;
	flex-wrap: nowrap;
	justify-content: center;
	margin-left: auto;
	margin-right: auto;
}

.loan-list-container div {
	margin: 0.5rem;
	padding: 0 10px 10px 10px;
	border: 2px solid var(--navbar-title-hover-bg);
	border-radius: 4px;
}

#.loan-list-container div {
#	padding: 0 10px 10px 10px;
#}

.loan-list-container div h4 {
	margin: 0 0 0.5rem 0;
	text-align: left;
	border-bottom: 1.5px solid var(--body-fg);
	background-color: var(--body-bg);
	color: var(--body-fg);
	white-space: pre;
}

.loan-title-container div h4 {
	background-color: var(--color-ok);
}

.loan-title-container div p {
	white-space: nowrap;
}

div[class="navbar"] + .loan-list-container {
	width: 42.5%;
}

.space-between {
	height: 5rem;
}

.adm-panel-body {
	display: flex;
	flex-direction: row;
	text-align: center;
	margin: 1.5rem 2rem 2rem 2rem;
}

.adm-panel-body content {
	width: 70%;
	max-height: 40rem;
	margin-left: 3rem;
	margin-top: 18px;
	border: 1px solid white;
	border-radius: 7px;
}

.adm-panel-body content h3 {
	margin: 0;
	padding: 1rem;
	border-bottom: 1px solid white;
	background-color: #110c0c98;
}

.adm-panel-body div {
	display: flex;
	width: 30%;
	max-height: 40rem;
	flex-direction: column;
	justify-content: flex-start;
}

.adm-panel-body div h3 {
	background-color: #969696;
	border-radius: 7px;
	color: black;
	padding: 1rem;
}

.adm-panel-body div div {
	width: 100%;
	border-radius: 7px;
	text-align: center;
	border: 1px solid white;
	margin-top: 1.5rem
}

.adm-panel-body div div:hover {
	background-color: #292727;
}

.adm-panel-body div div h4 {
	background-color: #5e5d5d;
	margin-bottom: 0;
	margin-top: 0;
	font-size: 24px;
	padding: 1rem 1rem 1rem 1rem;
	border-bottom: 1px solid white;
}

.adm-panel-body div div {
	width: 100%;
}

.version-item {
	width: 100%;
}

.version-item tr td {
	width: 50%;
	border-bottom: 1px solid white;
}

